Skip to main content

## AttributeLintKind

# Enum AttributeLintKind

Source

    pub enum AttributeLintKind {
    Show 40 variants    UnusedDuplicate {
            this: Span,
            other: Span,
            warning: bool,
        },
        IllFormedAttributeInput {
            suggestions: Vec<String>,
            docs: Option<&'static str>,
        },
        EmptyAttribute {
            first_span: Span,
            attr_path: String,
            valid_without_list: bool,
        },
        InvalidTarget {
            name: String,
            target: &'static str,
            applied: Vec<String>,
            only: &'static str,
            attr_span: Span,
        },
        InvalidStyle {
            name: String,
            is_used_as_inner: bool,
            target: &'static str,
            target_span: Span,
        },
        UnsafeAttrOutsideUnsafe {
            attribute_name_span: Span,
            sugg_spans: Option<(Span, Span)>,
        },
        UnexpectedCfgName((Symbol, Span), Option<(Symbol, Span)>),
        UnexpectedCfgValue((Symbol, Span), Option<(Symbol, Span)>),
        DuplicateDocAlias {
            first_definition: Span,
        },
        DocAutoCfgExpectsHideOrShow,
        DocAutoCfgHideShowUnexpectedItem {
            attr_name: Symbol,
        },
        DocAutoCfgHideShowExpectsList {
            attr_name: Symbol,
        },
        DocInvalid,
        AmbiguousDeriveHelpers,
        DocUnknownInclude {
            span: Span,
            inner: &'static str,
            value: Symbol,
        },
        DocUnknownSpotlight {
            span: Span,
        },
        DocUnknownPasses {
            name: Symbol,
            span: Span,
        },
        DocUnknownPlugins {
            span: Span,
        },
        DocUnknownAny {
            name: Symbol,
        },
        DocAutoCfgWrongLiteral,
        DocTestTakesList,
        DocTestUnknown {
            name: Symbol,
        },
        DocTestLiteral,
        AttrCrateLevelOnly,
        DoNotRecommendDoesNotExpectArgs,
        CrateTypeUnknown {
            span: Span,
            suggested: Option<Symbol>,
        },
        MalformedDoc,
        ExpectedNoArgs,
        ExpectedNameValue,
        MalformedOnUnimplementedAttr {
            span: Span,
        },
        MalformedOnConstAttr {
            span: Span,
        },
        MalformedOnMoveAttr {
            span: Span,
        },
        MalformedDiagnosticFormat {
            warning: FormatWarning,
        },
        DiagnosticWrappedParserError {
            description: String,
            label: String,
            span: Span,
        },
        IgnoredDiagnosticOption {
            option_name: Symbol,
            first_span: Span,
            later_span: Span,
        },
        MissingOptionsForOnUnimplemented,
        MissingOptionsForOnConst,
        MissingOptionsForOnMove,
        OnMoveMalformedFormatLiterals {
            name: Symbol,
        },
        OnMoveMalformedAttrExpectedLiteralOrDelimiter,
    }

## Variants§

§

### UnusedDuplicate

#### Fields

§`this: Span`
§`other: Span`
§`warning: bool`
§

### IllFormedAttributeInput

#### Fields

§`suggestions: Vec<String>`
§`docs: Option<&'static str>`
§

### EmptyAttribute

#### Fields

§`first_span: Span`
§`attr_path: String`
§`valid_without_list: bool`
§

### InvalidTarget

#### Fields

§`name: String`
§`target: &'static str`
§`applied: Vec<String>`
§`only: &'static str`
§`attr_span: Span`
§

### InvalidStyle

#### Fields

§`name: String`
§`is_used_as_inner: bool`
§`target: &'static str`
§`target_span: Span`
§

### UnsafeAttrOutsideUnsafe

#### Fields

§`attribute_name_span: Span`
§`sugg_spans: Option<(Span, Span)>`
§

### UnexpectedCfgName((Symbol, Span), Option<(Symbol, Span)>)

§

### UnexpectedCfgValue((Symbol, Span), Option<(Symbol, Span)>)

§

### DuplicateDocAlias

#### Fields

§`first_definition: Span`
§

### DocAutoCfgExpectsHideOrShow

§

### DocAutoCfgHideShowUnexpectedItem

#### Fields

§`attr_name: Symbol`
§

### DocAutoCfgHideShowExpectsList

#### Fields

§`attr_name: Symbol`
§

### DocInvalid

§

### AmbiguousDeriveHelpers

§

### DocUnknownInclude

#### Fields

§`span: Span`
§`inner: &'static str`
§`value: Symbol`
§

### DocUnknownSpotlight

#### Fields

§`span: Span`
§

### DocUnknownPasses

#### Fields

§`name: Symbol`
§`span: Span`
§

### DocUnknownPlugins

#### Fields

§`span: Span`
§

### DocUnknownAny

#### Fields

§`name: Symbol`
§

### DocAutoCfgWrongLiteral

§

### DocTestTakesList

§

### DocTestUnknown

#### Fields

§`name: Symbol`
§

### DocTestLiteral

§

### AttrCrateLevelOnly

§

### DoNotRecommendDoesNotExpectArgs

§

### CrateTypeUnknown

#### Fields

§`span: Span`
§`suggested: Option<Symbol>`
§

### MalformedDoc

§

### ExpectedNoArgs

§

### ExpectedNameValue

§

### MalformedOnUnimplementedAttr

#### Fields

§`span: Span`
§

### MalformedOnConstAttr

#### Fields

§`span: Span`
§

### MalformedOnMoveAttr

#### Fields

§`span: Span`
§

### MalformedDiagnosticFormat

#### Fields

§`warning: FormatWarning`
§

### DiagnosticWrappedParserError

#### Fields

§`description: String`
§`label: String`
§`span: Span`
§

### IgnoredDiagnosticOption

#### Fields

§`option_name: Symbol`
§`first_span: Span`
§`later_span: Span`
§

### MissingOptionsForOnUnimplemented

§

### MissingOptionsForOnConst

§

### MissingOptionsForOnMove

§

### OnMoveMalformedFormatLiterals

#### Fields

§`name: Symbol`
§

### OnMoveMalformedAttrExpectedLiteralOrDelimiter

## Trait Implementations§

Source§

### impl Debug for AttributeLintKind

Source§

#### fn fmt(&self, f: &mut Formatter<'_>) -> Result

Formats the value using the given formatter. Read more
Source§

### impl<__CTX> HashStable<__CTX> for AttributeLintKind
where __CTX: HashStableContext,

Source§

#### fn hash_stable(&self, __hcx: &mut __CTX, __hasher: &mut StableHasher)

## Auto Trait Implementations§

§

### impl DynSend for AttributeLintKind

§

### impl DynSync for AttributeLintKind

§

### impl Freeze for AttributeLintKind

§

### impl RefUnwindSafe for AttributeLintKind

§

### impl Send for AttributeLintKind

§

### impl Sync for AttributeLintKind

§

### impl Unpin for AttributeLintKind

§

### impl UnsafeUnpin for AttributeLintKind

§

### impl UnwindSafe for AttributeLintKind

## Blanket Implementations§

Source§

### impl<T> Aligned for T

Source§

#### const ALIGN: Alignment

Alignment of `Self`.
Source§

### impl<T> Any for T
where T: 'static + ?Sized,

Source§

#### fn type_id(&self) -> TypeId

Gets the `TypeId` of `self`. Read more
Source§

### impl<T> Borrow<T> for T
where T: ?Sized,

Source§

#### fn borrow(&self) -> &T

Immutably borrows from an owned value. Read more
Source§

### impl<T> BorrowMut<T> for T
where T: ?Sized,

Source§

#### fn borrow_mut(&mut self) -> &mut T

Mutably borrows from an owned value. Read more
Source§

### impl<T> From<T> for T

Source§

#### fn from(t: T) -> T

Returns the argument unchanged.

Source§

### impl<T> Instrument for T

Source§

#### fn instrument(self, span: Span) -> Instrumented<Self>

Instruments this type with the provided `Span`, returning an `Instrumented` wrapper. Read more
Source§

#### fn in_current_span(self) -> Instrumented<Self>

Instruments this type with the current `Span`, returning an `Instrumented` wrapper. Read more
Source§

### impl<T, U> Into<U> for T
where U: From<T>,

Source§

#### fn into(self) -> U

Calls `U::from(self)`.

That is, this conversion is whatever the implementation of `From<T> for U` chooses to do.

Source§

### impl<T> IntoEither for T

Source§

#### fn into_either(self, into_left: bool) -> Either<Self, Self>

Converts `self` into a `Left` variant of `Either<Self, Self>` if `into_left` is `true`. Converts `self` into a `Right` variant of `Either<Self, Self>` otherwise. Read more
Source§

#### fn into_either_with<F>(self, into_left: F) -> Either<Self, Self>
where F: FnOnce(&Self) -> bool,

Converts `self` into a `Left` variant of `Either<Self, Self>` if `into_left(&self)` returns `true`. Converts `self` into a `Right` variant of `Either<Self, Self>` otherwise. Read more
Source§

### impl<T> Pointable for T

Source§

#### const ALIGN: usize

The alignment of pointer.
Source§

#### type Init = T

The type for initializers.
Source§

#### unsafe fn init(init: <T as Pointable>::Init) -> usize

Initializes a with the given initializer. Read more
Source§

#### unsafe fn deref<'a>(ptr: usize) -> &'a T

Dereferences the given pointer. Read more
Source§

#### unsafe fn deref_mut<'a>(ptr: usize) -> &'a mut T

Mutably dereferences the given pointer. Read more
Source§

#### unsafe fn drop(ptr: usize)

Drops the object pointed to by the given pointer. Read more
Source§

### impl<T> Same for T

Source§

#### type Output = T

Should always be `Self`
Source§

### impl<T, U> TryFrom<U> for T
where U: Into<T>,

Source§

#### type Error = Infallible

The type returned in the event of a conversion error.
Source§

#### fn try_from(value: U) -> Result<T, <T as TryFrom<U>>::Error>

Performs the conversion.
Source§

### impl<T, U> TryInto<U> for T
where U: TryFrom<T>,

Source§

#### type Error = <U as TryFrom<T>>::Error

The type returned in the event of a conversion error.
Source§

#### fn try_into(self) -> Result<U, <U as TryFrom<T>>::Error>

Performs the conversion.
Source§

### impl<T> WithSubscriber for T

Source§

#### fn with_subscriber<S>(self, subscriber: S) -> WithDispatch<Self>
where S: Into<Dispatch>,

Attaches the provided `Subscriber` to this type, returning a `WithDispatch` wrapper. Read more
Source§

#### fn with_current_subscriber(self) -> WithDispatch<Self>

Attaches the current default `Subscriber` to this type, returning a `WithDispatch` wrapper. Read more
Source§

### impl<T> ErasedDestructor for T
where T: 'static,

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 88 bytes

Size for each variant:

- `UnusedDuplicate`: 28 bytes
- `IllFormedAttributeInput`: 48 bytes
- `EmptyAttribute`: 48 bytes
- `InvalidTarget`: 88 bytes
- `InvalidStyle`: 64 bytes
- `UnsafeAttrOutsideUnsafe`: 36 bytes
- `UnexpectedCfgName`: 32 bytes
- `UnexpectedCfgValue`: 32 bytes
- `DuplicateDocAlias`: 16 bytes
- `DocAutoCfgExpectsHideOrShow`: 0 bytes
- `DocAutoCfgHideShowUnexpectedItem`: 12 bytes
- `DocAutoCfgHideShowExpectsList`: 12 bytes
- `DocInvalid`: 0 bytes
- `AmbiguousDeriveHelpers`: 0 bytes
- `DocUnknownInclude`: 40 bytes
- `DocUnknownSpotlight`: 16 bytes
- `DocUnknownPasses`: 20 bytes
- `DocUnknownPlugins`: 16 bytes
- `DocUnknownAny`: 12 bytes
- `DocAutoCfgWrongLiteral`: 0 bytes
- `DocTestTakesList`: 0 bytes
- `DocTestUnknown`: 12 bytes
- `DocTestLiteral`: 0 bytes
- `AttrCrateLevelOnly`: 0 bytes
- `DoNotRecommendDoesNotExpectArgs`: 0 bytes
- `CrateTypeUnknown`: 20 bytes
- `MalformedDoc`: 0 bytes
- `ExpectedNoArgs`: 0 bytes
- `ExpectedNameValue`: 0 bytes
- `MalformedOnUnimplementedAttr`: 16 bytes
- `MalformedOnConstAttr`: 16 bytes
- `MalformedOnMoveAttr`: 16 bytes
- `MalformedDiagnosticFormat`: 48 bytes
- `DiagnosticWrappedParserError`: 64 bytes
- `IgnoredDiagnosticOption`: 28 bytes
- `MissingOptionsForOnUnimplemented`: 0 bytes
- `MissingOptionsForOnConst`: 0 bytes
- `MissingOptionsForOnMove`: 0 bytes
- `OnMoveMalformedFormatLiterals`: 12 bytes
- `OnMoveMalformedAttrExpectedLiteralOrDelimiter`: 0 bytes